# Cleanup.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/ACE_export.h"`
`#include "ace/Cleanup.inl"`

Include dependency graph for Cleanup.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Cleanup
| Base class for objects that are cleaned by ACE_Object_Manager. More...
class | ACE_Cleanup_Info
| Hold cleanup information for thread/process. More...
class | ACE_OS_Exit_Info
| Hold Object Manager cleanup (exit) information. More...

## Defines

#define | ACE_CLEANUP_DESTROYER_NAME ace_cleanup_destroyer
#define | ACE_INLINE inline

## Functions

ACE_Export void | ACE_CLEANUP_DESTROYER_NAME (ACE_Cleanup *, void *param=0)

## Detailed Description

Id
  Cleanup.h,v 1.7 2005/11/27 12:11:35 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_CLEANUP_DESTROYER_NAME ace_cleanup_destroyer

#define ACE_INLINE inline

## Function Documentation

ACE_Export void ACE_CLEANUP_DESTROYER_NAME | ( | ACE_Cleanup * | ,
|  | void * | param = `0`
| ) |